# Welcome

## Status
**This documentation is a work in progress. Articles which have content in them appear normally in the chapter navigation. Articles which are incomplete appear with a (E) next to their name, indicating it is an empty unwritten article.**

Hi there! You've discovered the comprehensive Holochain guidebook.

Holochain is an open source software library that provides a way for businesses, communities,
and other groups to build and run applications which are hosted and validated by the "users" themselves.
Doing so provides a superior level of agency and autonomy over heavy reliance on the so-called "cloud" and other third parties.

These applications are known more widely as peer-to-peer, decentralized applications, or dApps. To distinguish between dApps built on Blockchains and those built on Holochain, we preemptively call the latter "hApps". A more detailed comparison between Blockchain dApps and Holochain hApps is available [here](https://medium.com/holochain/beyond-blockchain-simple-scalable-cryptocurrencies-1eb7aebac6ae).

Holochain provides a cross-platform framework for the development and execution of these applications.
By running these kinds of applications, "users" cease to merely "use". They become "user-participants" who are also responsible for hosting and validating the network's data. Applications can be developed utilizing any of the major operating systems, and run on virtually any device. 

The many benefits and opportunities associated with peer-to-peer dApps (e.g. offloaded server costs, elimination of single points of failure, and flexible governance structures) are made available, and often amplified through the Holochain hApp architecture, on desktops, laptops, and Android (arm64) devices.

This book provides an in-depth explanation of Holochain's functions, from data validation to data propagation,
so that you can get to work straightaway on developing applications that will serve your business, community, or otherwise.


